Package org.apache.sysds.runtime.io

# Class WriterTextLIBSVMParallel

java.lang.Object
org.apache.sysds.runtime.io.MatrixWriter
org.apache.sysds.runtime.io.WriterTextLIBSVM
org.apache.sysds.runtime.io.WriterTextLIBSVMParallel

public class WriterTextLIBSVMParallel extends WriterTextLIBSVM

## Constructor Summary

Constructors
Constructor
Description
`WriterTextLIBSVMParallel(FileFormatPropertiesLIBSVM _props)`

## Method Summary

### Methods inherited from class org.apache.sysds.runtime.io.WriterTextLIBSVM

`writeEmptyMatrixToHDFS, writeMatrixFromStream, writeMatrixToHDFS`

### Methods inherited from class org.apache.sysds.runtime.io.MatrixWriter

`createMatrixBlocksForReuse, getMatrixBlockForReuse, setForcedParallel, writeMatrixToHDFS`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriterTextLIBSVMParallel

public WriterTextLIBSVMParallel(FileFormatPropertiesLIBSVM _props)